%define pypi_name pyasn1_modules
%define module    pyasn1-modules

Name:           python-%{module}
Epoch:          1
Version:        0.4.1
Release:        %mkrel 1
Summary:        Collection of protocols modules written in ASN.1 language
License:        BSD
Group:          Development/Python
Url:            https://pypi.org/project/pyasn1-modules/
Source:         %{pypi_source}
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(pyasn1)
%{?python_provide:%python_provide python3-pyasn1-modules}

%description -n python3-%{module}
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.txt README.md
%license LICENSE.txt


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 1:0.4.1-1.mga10
+ Revision: 2154151
- new version: 0.4.1
- rebuild for python 3.13

* Sat Aug 24 2024 neoclust <neoclust> 1:0.4.0-1.mga10
+ Revision: 2090142
- New version 0.4.0

* Sun Dec 31 2023 daviddavid <daviddavid> 1:0.3.0-1.mga10
+ Revision: 2024843
- new version: 0.3.0
- switch to pyproject

* Thu Dec 28 2023 tv <tv> 1:0.2.8-5.mga10
+ Revision: 2023356
- Bump rel for python-3.12 b/c of dumb BS

* Tue Dec 19 2023 tv <tv> 1:0.2.8-4.mga10
+ Revision: 2019294
- Rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1:0.2.8-3.mga9
+ Revision: 1822263
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1:0.2.8-2.mga9
+ Revision: 1772478
- rebuild for python3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1:0.2.8-1.mga9
+ Revision: 1706121
- new version 0.2.8

* Sun Feb 16 2020 umeabot <umeabot> 1:0.2.6-2.mga8
+ Revision: 1530725
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1:0.2.6-1.mga8
+ Revision: 1437367
- new version 0.2.6
- drop python2 support
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 1:0.2.3-2.mga7
+ Revision: 1350922
- rebuild for python3.7

* Mon Dec 31 2018 luigiwalser <luigiwalser> 1:0.2.3-1.mga7
+ Revision: 1347675
- 0.2.3
- update URL

* Thu Sep 20 2018 umeabot <umeabot> 1:0.2.1-3.mga7
+ Revision: 1289761
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 daviddavid <daviddavid> 1:0.2.1-2.mga7
+ Revision: 1211194
- fix Source URL
- fix requires

* Wed Mar 21 2018 kekepower <kekepower> 1:0.2.1-1.mga7
+ Revision: 1210938
- Update to version 0.2.1
- Renamed python-pyasn1-modules to python2-pyasn1-modules

* Sat Aug 05 2017 pterjan <pterjan> 1:0.0.7-4.mga7
+ Revision: 1135560
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1:0.0.7-3.mga6
+ Revision: 970564
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 1:0.0.7-2.mga6
+ Revision: 887196
- rebuild with new python-3.5

* Sat Sep 12 2015 spuhler <spuhler> 1:0.0.7-1.mga6
+ Revision: 878349
- upgrade to vers. 0.0.7

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.5-9.mga5
+ Revision: 739850
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:0.0.5-8.mga5
+ Revision: 729375
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.5-7.mga5
+ Revision: 688234
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1:0.0.5-6.mga5
+ Revision: 628923
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:0.0.5-5.mga4
+ Revision: 543947
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:0.0.5-4.mga4
+ Revision: 499137
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1:0.0.5-3.mga4
+ Revision: 491659
+ rebuild (emptylog)

* Sat Oct 05 2013 philippem <philippem> 1:0.0.5-2.mga4
+ Revision: 491650
- add epoch to obsolete pyasn1-modules

* Wed Aug 07 2013 philippem <philippem> 0.0.5-2.mga4
+ Revision: 464312
- add rename directive to remove pyasn1-modules package

* Wed Jul 31 2013 philippem <philippem> 0.0.5-1.mga4
+ Revision: 461862
- update to 0.0.5 and add Python 3

* Sun Feb 17 2013 spuhler <spuhler> 0.0.4-5.mga3
+ Revision: 398839
- bumped rel

* Sat Feb 16 2013 spuhler <spuhler> 0.0.4-4.mga3
+ Revision: 398704
- removed Obsoletes: python-pyasn1-modules <= 0.0.4-2

* Sat Feb 09 2013 spuhler <spuhler> 0.0.4-3.mga3
+ Revision: 397633
- added Obsoletes: python-pyasn1-modules <= 0.0.4-2

* Fri Feb 08 2013 spuhler <spuhler> 0.0.4-2.mga3
+ Revision: 395279
- replaced BuildRequires: python-distribute with python-pkg-resources

* Sat Jan 26 2013 spuhler <spuhler> 0.0.4-1.mga3
+ Revision: 392334
- cleaned spec file
- cleaned spec file
- imported package python-pyasn1-modules


* Fri Jul 27 2012 michael@stroeder.com
- Update to upstrean release 0.0.4
  The pyasn1-modules collection now includes Certificate Management Protocol
  (RFC4210) data structures.
* Mon Apr 23 2012 michael@stroeder.com
- Update to upstrean release 0.0.3
* Fri Mar 23 2012 michael@stroeder.com
- Initial submission of upstream release 0.0.2
